Get Scores For Trace
curl --request GET \
--url https://api.pandaprobe.com/evaluations/trace-scores/{trace_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pandaprobe.com/evaluations/trace-scores/{trace_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pandaprobe.com/evaluations/trace-scores/{trace_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pandaprobe.com/evaluations/trace-scores/{trace_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"value": "<string>",
"status": "SUCCESS",
"source": "AUTOMATED",
"created_at": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data_type": "NUMERIC",
"eval_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"author_user_id": "<string>",
"reason": "<string>",
"environment": "<string>",
"config_id": "<string>",
"metadata": {},
"updated_at": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Trace Scores
Get Scores For Trace
Get the latest score per metric for a specific trace.
Returns one score per metric name, deduplicated by most recent
created_at regardless of status. The dashboard uses this to
display a score overview panel for the trace.
Auth: Bearer + X-Project-ID | X-API-Key + X-Project-Name
GET
/
evaluations
/
trace-scores
/
{trace_id}
Get Scores For Trace
curl --request GET \
--url https://api.pandaprobe.com/evaluations/trace-scores/{trace_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pandaprobe.com/evaluations/trace-scores/{trace_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pandaprobe.com/evaluations/trace-scores/{trace_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pandaprobe.com/evaluations/trace-scores/{trace_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"value": "<string>",
"status": "SUCCESS",
"source": "AUTOMATED",
"created_at": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data_type": "NUMERIC",
"eval_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"author_user_id": "<string>",
"reason": "<string>",
"environment": "<string>",
"config_id": "<string>",
"metadata": {},
"updated_at": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
HTTPBearerApiKeyProjectIDProjectName
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Outcome of a trace score evaluation attempt.
Available options:
SUCCESS, FAILED, PENDING Who produced the score judgment (not how it arrived).
AUTOMATED -- the eval system's LLM judge produced this score ANNOTATION -- a human assigned this score manually PROGRAMMATIC -- external code submitted this score via API/SDK
Available options:
AUTOMATED, ANNOTATION, PROGRAMMATIC Data type for a trace score value.
Available options:
NUMERIC, BOOLEAN, CATEGORICAL 
